## openscenegraph 2.9.7-0maemo2

=== debian/changelog ===
openscenegraph (2.9.7-0maemo2) unstable; urgency=low

  * Fixed GLES2 dependency.
  * Optified.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 19 Mar 2010 16:56:37 +0100

openscenegraph (2.9.7-0maemo1) unstable; urgency=low

  * Development release, including OpenGL|ES 2.0 support

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 19 Mar 2010 16:32:07 +0100

openscenegraph (2.8.2-2) unstable; urgency=low

  * Fixed problem in armel, failing to build due to linking problems.
    According to Alberto Luaces this could be caused by a previous workaround
    introduced to deal with a GCC bug, and fixed since then, see #529091 and
    #530388
  * Added 'watch' file
  * Updated lintian overrides regarding package-name-doesnt-match-sonames
  * Removed the duplicated entries in man pages as examples and apps
  * Removed lintian overrides about man pages
  * Removed duplicated patch bug-555869-ftbfs_with_binutils_gold.diff (it was
    repeated in dpatch form)
  * Quelling lintian warnings:
    - package-lacks-versioned-build-depends-on-debhelper (updated to >= 7.0.0)
    - debhelper-but-no-misc-depends
    - out-of-date-standards-version (updated from 3.8.0 to 3.8.4)
    - patch-system-but-no-source-readme
    - dh-clean-k-is-deprecated (using 'dh_prep' instead of 'dh_clean -k')
    - manpage-has-bad-whatis-entry (trick to avoid warning and get whatis
      program working, removing related overrides as said above)
    - debian-watch-file-is-missing (adding 'watch' file as said above)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 03 Feb 2010 10:44:56 +0100

openscenegraph (2.8.2-1) unstable; urgency=low

  * New upstream release
  * Changed debhelper compat to level 7 (level 4 is deprecated)
  * Build-Depend on libcoin60-dev instead of libcoin40-dev (Closes: #535250)
  * Build-Depend on freeglut3-dev instead of libglut*-dev (Closes: #552157)
  * Added patch from Alberto Luaces to allow using binutils-gold (Closes: #555869)
  * Dropped patch (fixed upstream already in 2.8.1):
     - bug-497933.dpatch

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 12 Dec 2009 21:25:40 +0100

openscenegraph (2.8.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-Depend on freeglut3-dev instead of freeglut-dev as someone
    "cleaned up" provides of that package. Closes: #544648

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 02 Sep 2009 12:35:42 +0200

openscenegraph (2.8.1-1) unstable; urgency=low

  * New upstream release
  * osg soversion from 55 to 56, openthreads from 11 to 12 and patch
    to allow overriding the soversion when the upstream forgets to change it.
  * Alberto Luaces patch applied to add new pkg-config files (Closes: #528229).
  * Alberto Luaces linker flags to cope with armel specific problems (Closes: #529091).

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 31 May 2009 12:07:05 +0200

openscenegraph (2.8.0-4) unstable; urgency=low

  * rules prevent lib64 with -D LIB_POSTFIX="" (Closes: #517671)

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 23 Mar 2009 14:08:20 +0100

openscenegraph (2.8.0-3) unstable; urgency=low

  * gcc-4.4 are already in upstream
  * use lib*/ instead of lib/ to capture lib64 (Closes: #517671)

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 03 Mar 2009 13:07:40 +0100

openscenegraph (2.8.0-2) unstable; urgency=low

  * unstable instead of experimental
  * remove lib64 dirty hack that failed
  * apply GNU/kFreeBSD patch (Closes: #517354)

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 01 Mar 2009 14:06:21 +0100

openscenegraph (2.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #516622)
  * update download location in copyright file
  * add support for intrepid & jaunty
  * remove extra conflict on openthreads7 (Closes: #504113)
  * apply GNU/kFreeBSD patch (Closes: #497933)
  * apply GCC-4.4 portability patch (Closes: #504888)
  * add missing libraries to openscenegraph.pc (Closes: #512316)
  * update libopenscenegraph short description (Closes: #493613)
  * use libgl1-mesa-dev and libgif-dev (Closes: #494553)
  
 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 24 Feb 2009 12:04:02 +0100

openscenegraph (2.6.1-1) experimental; urgency=low

  * New upstream release.
  * Updated rules file to complete the instruction on how to make an orig
    file.
  * Corrected rules file when it comes to versions.
  * libopenscenegraph44 bumped to 48.
  * remove obsolete xlibmesa-gl-dev

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 25 Dec 2008 18:27:16 +0100

openscenegraph (2.6.0-1) experimental; urgency=low

  * New upstream release.
  * Debian patches are no longer needed with the new upstream sources and
    are therefore removed.
  * libopenscenegraph7 bumped to 44.
  * libopenthreads7 bumped to 11.
  * Added myself to Uploaders to clarify that I'm involved at request
    by Loic. Loic may remove it later when needed.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Aug 2008 07:47:50 +0200

openscenegraph (2.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer try to detect (using /proc/cpuinfo when available) how many
    CPUs are available, fixing the FTBFS (due to -j0) on various platforms
    (Closes: #477353). The right way to do it is to support parallel=n in
    DEB_BUILD_OPTIONS (see Debian Policy §4.9.1), and adequate support has
    been implemented.
  * Add patch to fix FTBFS due to the build system now refusing to handle
    whitespaces (Policy CMP0004 say the logs), thanks to Andreas Putzo who
    provided it (Closes: #482239):
     - debian/patches/fix-cmp0004-build-failure.dpatch
  * Remove myself from Uploaders, as requested a while ago, done by Luk in
    his 2.2.0-2.1 NMU, which was never acknowledged.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 29 Jul 2008 04:34:38 +0200

openscenegraph (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 28 Apr 2008 11:04:18 +0200



## openscenegraph 2.9.7-0maemo3

=== OpenSceneGraph/CMakeLists.txt ===
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE)

IF(WIN32)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6 FATAL_ERROR)
ELSE(WIN32)
    IF(APPLE)
        CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)
    ELSE(APPLE)
        CMAKE_MINIMUM_REQUIRED(VERSION 2.4.4 FATAL_ERROR)
    ENDIF(APPLE)
ENDIF(WIN32)

if(COMMAND cmake_policy)
    # Works around warnings libraries linked against that don't
    # have absolute paths (e.g. -lpthreads)
    cmake_policy(SET CMP0003 NEW)

    # Works around warnings about escaped quotes in ADD_DEFINITIONS
    # statements.
    cmake_policy(SET CMP0005 NEW)

    # cmake-2.6.1 introduces policy cmp0008 decide how to treat full path libraries that do not appear to be valid library file names
    # quote from cvslog "Such libraries worked by accident in the VS IDE and Xcode generators in CMake 2.4 and below."
    if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 4 AND ${CMAKE_PATCH_VERSION} GREATER 0)
        cmake_policy(SET CMP0008 OLD)
    endif()
endif()

PROJECT(OpenSceneGraph)

SET(OPENSCENEGRAPH_MAJOR_VERSION 2)
SET(OPENSCENEGRAPH_MINOR_VERSION 9)
SET(OPENSCENEGRAPH_PATCH_VERSION 7)
SET(OPENSCENEGRAPH_SOVERSION 63)

# set to 0 when not a release candidate, non zero means that any generated 
# svn tags will be treated as release candidates of given number
SET(OPENSCENEGRAPH_RELEASE_CANDIDATE 0)

SET(OPENSCENEGRAPH_VERSION ${OPENSCENEGRAPH_MAJOR_VERSION}.${OPENSCENEGRAPH_MINOR_VERSION}.${OPENSCENEGRAPH_PATCH_VERSION})

SET(OSG_PLUGINS osgPlugins-${OPENSCENEGRAPH_VERSION})

SET(OSG_PLUGIN_PREFIX "")

IF (CYGWIN)
    SET(OSG_PLUGIN_PREFIX "cygwin_")
ENDIF()

IF(MINGW)
    SET(OSG_PLUGIN_PREFIX "mingw_")
ENDIF()


# We want to build SONAMES shared librariess
SET(OPENSCENEGRAPH_SONAMES TRUE)
SET(OPENTHREADS_SONAMES TRUE)

SET(OpenThreads_SOURCE_DIR ${OpenSceneGraph_SOURCE_DIR})

# We have some custom .cmake scripts not in the official distribution.
# Maybe this can be used override existing behavior if needed?
SET(CMAKE_MODULE_PATH "${OpenSceneGraph_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")


# Okay, here's the problem: On some platforms, linking against OpenThreads
# is not enough and explicit linking to the underlying thread library
# is also required (e.g. FreeBSD). But OpenThreads may be built with different
# backends (Pthreads, Sproc, Windows) so we don't know what the underlying
# thread library is because some platforms support multiple backends (e.g.
# IRIX supports Sproc and Pthreads). Linking all libraries won't work
# because the libraries may be incompatible.
# So the current solution is to attempt best guess linking and exempt certain
# cases. With IRIX, we're going to hope explicit linking to the underlying
# library is not necessary. We currently don't case for pthreads on Windows
# which might be an issue on things like Cygwin. This may need to be fixed.
FIND_PACKAGE(Threads)
IF(CMAKE_SYSTEM MATCHES IRIX)
    # Erase CMAKE_THREAD_LIBS_INIT and hope it works
    SET(CMAKE_THREAD_LIBS_INIT "" CACHE INTERNAL "")
ENDIF()

OPTION(OSG_MAINTAINER "Enable OpenSceneGraph maintainer build methods, such as making svn branches, tags, updating ChangeLog." OFF)
IF (OSG_MAINTAINER)

    SET(OPENSCENEGRAPH_SVN "trunk")
    #SET(OPENSCENEGRAPH_SVN "branches")
    SET(OPENSCENEGRAPH_BRANCH OpenSceneGraph-${OPENSCENEGRAPH_MAJOR_VERSION}.${OPENSCENEGRAPH_MINOR_VERSION})

    #
    # Provide target for tagging a release
    #
    SET(SVNCOMMAND svn)
    SET(SVNTRUNKDIR     http://www.openscenegraph.org/svn/osg/OpenSceneGraph/trunk)
    SET(SVNTAGDIR       http://www.openscenegraph.org/svn/osg/OpenSceneGraph/tags)
    SET(SVNBRANCHDIR    http://www.openscenegraph.org/svn/osg/OpenSceneGraph/branches)

    IF   (OPENSCENEGRAPH_SVN STREQUAL "trunk")
        SET(SVNSOURCEDIR ${SVNTRUNKDIR})
    ELSE()
        SET(SVNSOURCEDIR ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH})
    ENDIF()


    IF   (OPENSCENEGRAPH_RELEASE_CANDIDATE EQUAL 0)
        SET(RELEASE_NAME OpenSceneGraph-${OPENSCENEGRAPH_VERSION})
    ELSE()
        SET(RELEASE_NAME OpenSceneGraph-${OPENSCENEGRAPH_VERSION}-rc${OPENSCENEGRAPH_RELEASE_CANDIDATE})
    ENDIF()


    ADD_CUSTOM_TARGET(tag-test
        COMMAND echo ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNTAGDIR}/${RELEASE_NAME} -m "Release ${RELEASE_NAME}"
    )

    ADD_CUSTOM_TARGET(tag-run
        COMMAND ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNTAGDIR}/${RELEASE_NAME} -m "Release ${RELEASE_NAME}"
    )

    ADD_CUSTOM_TARGET(branch-test
        COMMAND echo ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH} -m "Branch ${OPENSCENEGRAPH_BRANCH}"
    )

    ADD_CUSTOM_TARGET(branch-run
        COMMAND ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH} -m "Branch ${OPENSCENEGRAPH_BRANCH}"
    )

    #
    # Provide target for generating ChangeLog
    #
    SET(GENERATELOGS svn2cl)

    ADD_CUSTOM_TARGET(ChangeLog
        COMMAND ${SVNCOMMAND} update
        COMMAND ${GENERATELOGS} ${SVNSOURCEDIR}
    )
    
ENDIF(OSG_MAINTAINER)


# Find OpenGL
FIND_PACKAGE(OpenGL)

IF(APPLE)
    FIND_LIBRARY(CARBON_LIBRARY Carbon)
    FIND_LIBRARY(COCOA_LIBRARY Cocoa)
ENDIF()

IF(UNIX)
    # Not sure what this will do on Cygwin and Msys
    # Also, remember OS X X11 is a user installed option so it may not exist.
    FIND_PACKAGE(X11)
    # Some Unicies need explicit linkage to the Math library or the build fails.
    FIND_LIBRARY(MATH_LIBRARY m)
    FIND_LIBRARY(DL_LIBRARY dl)
    IF( CMAKE_SYSTEM MATCHES "Linux" )
        FIND_LIBRARY( RT_LIBRARY rt )
    ENDIF( CMAKE_SYSTEM MATCHES "Linux" )
ENDIF()

# Make the headers visible to everything
IF(NOT ${PROJECT_BINARY_DIR} EQUAL ${PROJECT_SOURCE_DIR})
   INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR}/include)
ENDIF()

INCLUDE_DIRECTORIES(
    ${OpenSceneGraph_SOURCE_DIR}/include
    ${OPENGL_INCLUDE_DIR}
)

# Common global definitions
#ADD_DEFINITIONS(-D)
# Platform specific definitions


IF(WIN32)

    IF(MSVC)
        # This option is to enable the /MP switch for Visual Studio 2005 and above compilers
        OPTION(WIN32_USE_MP "Set to ON to build OpenSceneGraph with the /MP option (Visual Studio 2005 and above)." OFF)
        MARK_AS_ADVANCED(WIN32_USE_MP)
        IF(WIN32_USE_MP)
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
        ENDIF(WIN32_USE_MP)

        # turn off various warnings
        # foreach(warning 4244 4251 4267 4275 4290 4786 4305 4996)
        #     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd${warning}")
        # endforeach(warning)

        # This option is to enable the /DYNAMICBASE switch
        # It is used to workaround a bug in Windows 7 when linking in release, which results in corrupt
        # binaries. See this page for details: http://www.wintellect.com/CS/blogs/jrobbins/archive/2009/01/24/the-case-of-the-corrupt-pe-binaries.aspx
        OPTION(WIN32_USE_DYNAMICBASE "Set to ON to build OpenSceneGraph with the /DYNAMICBASE option to work around a bug when linking release executables on Windows 7." OFF)
        MARK_AS_ADVANCED(WIN32_USE_DYNAMICBASE)
        IF(WIN32_USE_DYNAMICBASE)
            SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /DYNAMICBASE")
        ENDIF(WIN32_USE_DYNAMICBASE)

        # More MSVC specific compilation flags
        ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
        ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)

        OPTION(MSVC_DISABLE_CHECKED_ITERATORS "Set to ON to disable Visual C++ checked iterators. If you do this you must ensure that every other project in your solution and all dependencies are compiled with _SECURE_SCL=0." OFF)
        MARK_AS_ADVANCED(MSVC_DISABLE_CHECKED_ITERATORS)
        IF(MSVC_DISABLE_CHECKED_ITERATORS)
            ADD_DEFINITIONS(-D_SECURE_SCL=0)
        ENDIF(MSVC_DISABLE_CHECKED_ITERATORS)
    ENDIF()

    #needed for net plugin
    SET (OSG_SOCKET_LIBS wsock32)
    # Both Cygwin and Msys need -DNOMINMAX ???
    IF(UNIX)
        ADD_DEFINITIONS(-DNOMINMAX)
    ENDIF()

########################################################################################################
# the following options are MSVC specific,
# the first OSG_MSVC_VERSIONED_DLL activate a custom build-time layout that should allow to run examples and application
# fron bin folder without requiring installation step.
# it also prepend "osg${OPENSCENEGRAPH_SOVERSION}-" to only .dll files, leaving .lib files untouched in lib
# it also use a hack to get rid of Debug and Release folder in MSVC projects
# all the .dll and .pdb are in bin and all the .lib and .exp are in lib
#
# the second option disable incremental linking in debug build , that is enabled by default by CMake
##########################################################################################################

    IF(MSVC)
        IF(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 4 AND ${CMAKE_PATCH_VERSION} LESS 7)
            MESSAGE("Warning:  disabling versioned options 2.4.6 exibits inconsintencies in .pdb naming, at least under MSVC, suggested upgrading at least to 2.4.7")
            SET(OSG_MSVC_VERSIONED_DLL OFF)
            SET(OSG_MSVC_DEBUG_INCREMENTAL_LINK ON)
        ELSE()
            OPTION(OSG_MSVC_VERSIONED_DLL "Set to ON to build OpenSceneGraph with versioned dll names" ON)
            MARK_AS_ADVANCED(OSG_MSVC_VERSIONED_DLL)
            OPTION(OSG_MSVC_DEBUG_INCREMENTAL_LINK "Set to OFF to build OpenSceneGraph without incremental linking in debug (release is off by default)" ON)
            MARK_AS_ADVANCED(OSG_MSVC_DEBUG_INCREMENTAL_LINK)
            IF(NOT OSG_MSVC_DEBUG_INCREMENTAL_LINK)
                SET(CMAKE_MODULE_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL:NO")
                SET(CMAKE_SHARED_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL:NO")
                SET(CMAKE_EXE_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL:NO")
            ENDIF(NOT OSG_MSVC_DEBUG_INCREMENTAL_LINK)
        ENDIF()
    ENDIF(MSVC)
ENDIF(WIN32)

########################################################################################################
##### these were settings located in SetupCommon.cmake used in Luigi builds.... find out what are useful
########################################################################################################
#luigi#SET(CMAKE_VERBOSE_MAKEFILE TRUE)
SET(CMAKE_SKIP_RPATH TRUE)
#luigi#SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
#luigi#IF(UNIX)
#luigi#    LIST_CONTAINS(contains "g++" ${CMAKE_CXX_COMPILER_LIST})
#luigi#    IF (contains)
#luigi#        MESSAGE(${MY_MESSAGE_DEFAULT} "${CMAKE_CURRENT_LIST_FILE}:${CMAKE_CURRENT_LIST_LINE} setting  CMAKE_CXX_COMPILER to g++")
#luigi#        SET(CMAKE_CXX_COMPILER "g++")
#luigi#        SET(CMAKE_CXX_COMPILER_LOADED 2)
#luigi#        SET(CMAKE_CXX_COMPILER_WORKS 2)
#luigi#    ENDIF (contains)
#luigi#    SET(CMAKE_CXX_FLAGS_RELEASE "-O2")
#luigi#    SET(CMAKE_CXX_FLAGS_DEBUG "-ggdb -gstabs")
#luigi#ENDIF(UNIX)
########################################################################################################

OPTION(OSG_NOTIFY_DISABLED "Set to ON to build OpenSceneGraph with the noitfy() disabled." OFF)

OPTION(OSG_USE_FLOAT_MATRIX "Set to ON to build OpenSceneGraph with float Matrix instead of double." OFF)
MARK_AS_ADVANCED(OSG_USE_FLOAT_MATRIX)

OPTION(OSG_USE_FLOAT_PLANE "Set to ON to build OpenSceneGraph with float Plane instead of double." OFF)
MARK_AS_ADVANCED(OSG_USE_FLOAT_PLANE)

OPTION(OSG_USE_FLOAT_BOUNDINGSPHERE "Set to ON to build OpenSceneGraph with float BoundingSphere instead of double." ON)
MARK_AS_ADVANCED(OSG_USE_FLOAT_BOUNDINGSPHERE)

OPTION(OSG_USE_FLOAT_BOUNDINGBOX "Set to ON to build OpenSceneGraph with float BoundingBox instead of double." ON)
MARK_AS_ADVANCED(OSG_USE_FLOAT_BOUNDINGBOX)

OPTION(OSG_USE_UTF8_FILENAME "Set to ON to use a UTF8 locale for filenames instead of the default locale." OFF)
MARK_AS_ADVANCED(OSG_USE_UTF8_FILENAME)

OPTION(OSG_DISABLE_MSVC_WARNINGS "Set to OFF to not disable MSVC warnings generated by OSG headers." ON)

=== debian/changelog ===
openscenegraph (2.9.7-0maemo3) unstable; urgency=low

  * Specify EGL_BUFFER_SIZE as workaround for bug #9335

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 20 Mar 2010 11:03:50 +0100

=== debian/control ===
Source: openscenegraph
Section: devel
Priority: optional
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: debhelper (>= 5.0.42), cmake, g++ (>= 3.3.0), libgif-dev | giflib-dev, dpatch, libjpeg-dev, libtiff-dev, lib3ds-dev, libfreetype6-dev, libpng12-dev, libjasper-dev, libgdal-dev, libx11-dev, libxmu-dev, ccache, libgles2-sgx-img-dev | libgles2-dev, opengles-sgx-img-common-dev | libgles2-dev, doxygen
Standards-Version: 3.8.4

Package: libopenthreads-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenthreads12 (= ${binary:Version})
Description: Object-Oriented (OO) thread interface for C++ programmers, development files
 This library is intended to provide a minimal & complete Object-Oriented (OO) 
 thread interface for C++ programmers.  It is loosely modeled on the Java thread
 API, and the POSIX Threads standards.  The architecture of the library is 
 designed around "swappable" thread models which are defined at compile-time
 in a shared object library. 

Package: libopenthreads12
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libopenthreads, libopenthreads2, libopenthreads3, libopenthreads1c2, libopenthreads11
Description: Object-Oriented (OO) thread interface for C++ programmers, development files
 This library is intended to provide a minimal & complete Object-Oriented (OO) 
 thread interface for C++ programmers.  It is loosely modeled on the Java thread
 API, and the POSIX Threads standards.  The architecture of the library is 
 designed around "swappable" thread models which are defined at compile-time
 in a shared object library. 

Package: openthreads-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Object-Oriented (OO) thread interface
 This library is intended to provide a minimal & complete Object-Oriented (OO) 
 thread interface for C++ programmers.  It is loosely modeled on the Java thread
 API, and the POSIX Threads standards.  The architecture of the library is 
 designed around "swappable" thread models which are defined at compile-time
 in a shared object library. 

Package: libopenscenegraph-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenthreads-dev, libgles2-sgx-img-dev | libgles2-dev, opengles-sgx-img-common-dev | libgles2-dev, libopenscenegraph63 (= ${binary:Version})
Description: 3D scenegraph development files
 A portable, high level graphics toolkit for the development of high
 performance graphics applications such as flight simulators, games,
 virtual reality or scientific visualization.  Providing an object
 orientated framework on top of OpenGL, it frees the developer from
 implementing and optimizing low level graphics calls, and provide
 many additional utilities for rapid development of graphics
 applications.

Package: libopenscenegraph63
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libopenscenegraph, libopenscenegraph2, libopenscenegraph3, libopenscenegraph1c2, libopenscenegraph7, libopenscenegraph55
Description: low level graphics library for openscenegraph
 A portable, high level graphics toolkit for the development of high
 performance graphics applications such as flight simulators, games,
 virtual reality or scientific visualization.  Providing an object
 orientated framework on top of OpenGL, it frees the developer from
 implementing and optimizing low level graphics calls, and provide
 many additional utilities for rapid development of graphics
 applications.


Package: openscenegraph-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: 3D scenegraph documentation
 A portable, high level graphics toolkit for the development of high
 performance graphics applications such as flight simulators, games,
 virtual reality or scientific visualization.  Providing an object
 orientated framework on top of OpenGL, it frees the developer from
 implementing and optimizing low level graphics calls, and provide
 many additional utilities for rapid development of graphics
 applications.

Package: openscenegraph
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: 3D scenegraph binary files
 A portable, high level graphics toolkit for the development of high
 performance graphics applications such as flight simulators, games,
 virtual reality or scientific visualization.  Providing an object
 orientated framework on top of OpenGL, it frees the developer from
 implementing and optimizing low level graphics calls, and provide
 many additional utilities for rapid development of graphics
 applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Build comments:
#  About 3.2 GB is needed on disc.
#  orig sources are created by
#    mkdir openscenegraph-xxx.orig
#    cd openscenegraph-xxx.orig
#    unzip OpenSceneGraph-xxx.zip
#    mv OpenSceneGraph-xxx OpenSceneGraph
#    cd ..
#    cp -a openscenegraph-xxx.orig openscenegraph-xxx
#    cd openscenegraph-xxx
#    cp -a ../openscenegraph-yyy/debian .

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -g
else
	CFLAGS += -O3 -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
# Default to g++
CXX ?= g++
ifeq (ccache,$(findstring ccache,$(DEB_BUILD_OPTIONS)))
	CCACHE = /usr/lib/ccache/g++
else
	# Full path to make ccache happy
	CCACHE = $(shell which $(CXX))
endif

# Detect parallel builds.
ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS = $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    PARALLEL_OPTIONS = -j$(PARALLEL_JOBS)
endif


# shared library versions, option 1
# version=2.0.5
# major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

define SETAFFINITY
	grep 'sched_setaffinity.*cpusetsize' /usr/include/sched.h > /dev/null || export COMPILE_USING_TWO_PARAM_sched_setaffinity=-DCOMPILE_USING_TWO_PARAM_sched_setaffinity ; 
endef

OSG = OpenSceneGraph

ifeq (hppa,$(DEB_BUILD_ARCH))
ARCH_C_FLAGS=-mlong-calls
ARCH_CXX_FLAGS=${ARCH_C_FLAGS}
endif

# export COMPILE_INTROSPECTION=ON for the first if statement when that works.
ifeq (i386,$(DEB_BUILD_ARCH))
define INTROSPECTION
        binutils_version=$$(perl -ne 'if((/^Package: binutils$$/ .. /^Version:/) && /^Version: (.*)/) { print "$$1\n"; }' < /var/lib/dpkg/available) ; \
        if dpkg --compare-versions $${binutils_version} '>=' 2.17 ; then \
                echo 'Compiling introspection' ; \
                export COMPILE_INTROSPECTION=ON ; \
        else \
                export COMPILE_INTROSPECTION=OFF ; \
                echo "Not compiling introspection because binutils version $${binutils_version} is below 2.17 which is known to be bugous" ; \
                echo "  BFD 2.15 internal error, aborting at ../../bfd/elf32-i386.c line 2262 in elf_i386_relocate_section" ; \
                echo "  See http://www.mail-archive.com/bug-binutils@gnu.org/msg01883.html for more information" ; \
        fi ;
endef
endif

#
# Shared libraries version numbers
#
# OpenSceneGraph/OpenThreads/Producer 0.9.8
#
#OPENSCENEGRAPH_SOVERSION=0
#
# OpenSceneGraph/OpenThreads/Producer 0.9.9
#
#OPENSCENEGRAPH_SOVERSION=1
#
# OpenSceneGraph/OpenThreads/Producer 1.0
#
#OPENSCENEGRAPH_SOVERSION=2
#
# OpenSceneGraph/OpenThreads/Producer 1.1
#
#OPENSCENEGRAPH_SOVERSION=3
#
# OpenSceneGraph/OpenThreads/Producer 1.2
#
#OPENSCENEGRAPH_SOVERSION=4
#
# OpenSceneGraph-1.9.1/OpenThreads-1.9.3 overriden with
# OpenSceneGraph-1.9.3, OpenSceneGraph-1.9.4, OpenSceneGraph-1.9.5, OpenSceneGraph-1.9.7 and
# OpenSceneGraph-2.0.0
#
#OPENSCENEGRAPH_SOVERSION=5
#
# OpenSceneGraph 2.2.0
#
#
#OPENSCENEGRAPH_SOVERSION=6
#
# OpenSceneGraph 2.4.0
#
#OPENSCENEGRAPH_SOVERSION=7
#OSG_VERSION=2.4.0
#
# OpenSceneGraph 2.6.1
#
#OPENSCENEGRAPH_SOVERSION=48
#OSG_VERSION=2.6.1
#
# OpenSceneGraph 2.8.0
#
#OPENSCENEGRAPH_SOVERSION=55
#OSG_VERSION=2.8.0
#
# OpenSceneGraph 2.8.1
#
OPENTHREADS_SOVERSION=12
OPENSCENEGRAPH_SOVERSION=56

build: patch build-stamp
build-stamp: configure-stamp 
	dh_testdir

	mkdir -p build/osg ; cd build/osg ; ${SETAFFINITY} ${INTROSPECTION} cmake --debug-output \
		-D OPENTHREADS_SOVERSION:STRING=${OPENTHREADS_SOVERSION} \
		-D OPENSCENEGRAPH_SOVERSION:STRING=${OPENSCENEGRAPH_SOVERSION} \
		-D CMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
		-D CMAKE_CXX_FLAGS_RELWITHDEBINFO="${CFLAGS} ${ARCH_CXX_FLAGS}" \
		-D CMAKE_C_FLAGS_RELWITHDEBINFO="${CFLAGS} ${ARCH_C_FLAGS}" \
		-D CMAKE_INSTALL_PREFIX:PATH=/ \
		-D CMAKE_CXX_COMPILER='${CCACHE}' \
		-D BUILD_OSG_WRAPPERS:BOOL=$$COMPILE_INTROSPECTION \
		-D BUILD_OSG_EXAMPLES:BOOL=ON \
		-D LIB_POSTFIX="" \
		-D OPENGL_egl_LIBRARY:STRING=/usr/lib/libEGL.so \
		-D OPENGL_INCLUDE_DIR:PATH=/usr/include/GLES2 \
		-D OPENGL_gl_LIBRARY:FILEPATH=/usr/lib/libGLESv2.so \
		-D OSG_CPP_EXCEPTIONS_AVAILABLE:BOOL=OFF \
		-D OSG_GL1_AVAILABLE:BOOL=OFF \
		-D OSG_GL2_AVAILABLE:BOOL=OFF \
		-D OSG_GL3_AVAILABLE:BOOL=OFF \
		-D OSG_GLES1_AVAILABLE:BOOL=OFF \
		-D OSG_GLES2_AVAILABLE:BOOL=ON \
		-D OSG_GLU_AVAILABLE:BOOL=OFF \
		-D OSG_GL_DISPLAYLISTS_AVAILABLE:BOOL=OFF \
		-D OSG_GL_FIXED_FUNCTION_AVAILABLE:BOOL=OFF \
		-D OSG_GL_MATRICES_AVAILABLE:BOOL=OFF \
		-D OSG_GL_VERTEX_ARRAY_FUNCS_AVAILABLE:BOOL=OFF \
		-D OSG_GL_VERTEX_FUNCS_AVAILABLE:BOOL=OFF \
		${LINKER_FLAGS} \
		../../${OSG}
	cd build/osg ; ${MAKE} ${PARALLEL_OPTIONS} VERBOSE=1
	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -fr build
	rm -f ${MANPAGES} 
	rm -fr html

	dh_clean 

MANPAGES = \
	${MANAPPLICATIONS} \
	${MANEXAMPLES}

MANAPPLICATIONS = \
	osgviewer.1 \
	osgconv.1 \
	osgversion.1 \
	osgfilecache.1 \
	osgarchive.1

MANEXAMPLES = \
	osg2cpp.1 \
	osganimate.1 \
	osganimationmakepath.1 \
	osganimationnode.1 \
	osganimationskinning.1 \
	osganimationsolid.1 \
	osganimationtimeline.1 \
	osganimationviewer.1 \
	osgautocapture.1 \
	osgautotransform.1 \
	osgbillboard.1 \
	osgblendequation.1 \
	osgbrowser.1 \
	osgcallback.1 \
	osgcamera.1 \
	osgcatch.1 \
	osgclip.1 \
	osgcluster.1 \
	osgcompositeviewer.1 \
	osgcopy.1 \
	osgcubemap.1 \
	osgdelaunay.1 \
	osgdepthpartition.1 \
	osgdepthpeeling.1 \
	osgdistortion.1 \
	osgdrawinstanced.1 \
	osgfadetext.1 \
	osgfilecache.1 \
	osgfont.1 \
	osgforest.1 \
	osgfxbrowser.1 \
	osggameoflife.1 \
	osggeodemo.1 \
	osggeometry.1 \
	osggeometryshaders.1 \
	osghangglide.1 \
	osghud.1 \
	osgimagesequence.1 \
	osgimpostor.1 \
	osgintersection.1 \
	osgintrospection.1 \
	osgkdtree.1 \
	osgkeyboard.1 \
	osgkeyboardmouse.1 \
	osglauncher.1 \
	osglight.1 \
	osglightpoint.1 \
	osglogicop.1 \
	osglogo.1 \
	osgmanipulator.1 \
	osgmemorytest.1 \
	osgmotionblur.1 \
	osgmovie.1 \
	osgmultiplerendertargets.1 \
	osgmultitexture.1 \
	osgmultitexturecontrol.1 \
	osgoccluder.1 \
	osgocclusionquery.1 \
	osgpackeddepthstencil.1 \
	osgpagedlod.1 \
	osgparametric.1 \
	osgparticle.1 \
	osgparticleeffects.1 \
	osgpdf.1 \
	osgphotoalbum.1 \
	osgpick.1 \
	osgplanets.1 \
	osgpoints.1 \
	osgpointsprite.1 \
	osgprecipitation.1 \
	osgprerender.1 \
	osgprerendercubemap.1 \
	osgreflect.1 \
	osgrobot.1 \
	osgscalarbar.1 \
	osgscreencapture.1 \
	osgscribe.1 \
	osgsequence.1 \
	osgshaders.1 \
	osgshaderterrain.1 \
	osgshadow.1 \
	osgshape.1 \
	osgsharedarray.1 \
	osgsidebyside.1 \
	osgsimplifier.1 \
	osgsimulation.1 \
	osgslice.1 \
	osgspacewarp.1 \
	osgspheresegment.1 \
	osgspotlight.1 \
	osgstereoimage.1 \
	osgstereomatch.1 \
	osgteapot.1 \
	osgterrain.1 \
	osgtessellate.1 \
	osgtext.1 \
	osgtext3D.1 \
	osgtexture1D.1 \
	osgtexture2D.1 \
	osgtexture3D.1 \
	osgtexturerectangle.1 \
	osgthirdpersonview.1 \
	osgunittests.1 \
	osgvertexprogram.1 \
	osgviewerGLUT.1 \
	osgvolume.1 \
	osgwidgetaddremove.1 \
	osgwidgetbox.1 \
	osgwidgetcanvas.1 \
	osgwidgetframe.1 \
	osgwidgetinput.1 \
	osgwidgetlabel.1 \
	osgwidgetmenu.1 \
	osgwidgetmessagebox.1 \
	osgwidgetnotebook.1 \
	osgwidgetperformance.1 \
	osgwidgetscrolled.1 \
	osgwidgetshader.1 \
	osgwidgetstyled.1 \
	osgwidgettable.1 \
